Page MenuHomePhabricator

Gather create collection workflow broken
Closed, ResolvedPublic

Description

Click the create collection button at the bottom of Gather page. Then enter a broken workflow (note it still works fine from star)

Two issues:

  1. The edit screen doesn't disappear after creating a collection
  2. Uncaught TypeError: Cannot read property 'id' of null

See video:

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2015, 6:59 PM
phuedx triaged this task as Unbreak Now! priority.Jun 15 2015, 4:57 PM
phuedx set Security to None.

FYI @JKatzWMF given this wasn't bumped in priority it looks like this problem is going to make it on to production.

Jdlrobson updated the task description. (Show Details)Jun 15 2015, 10:26 PM

@jldrobson shoot, just saw this. I am seeing additional issues:

  • title and description dont show up in edit screen
  • clicking the pencil brings me to edit and when i hit save my changes are gone (0 items in colleciton)
Jdlrobson moved this task from To Do to Doing on the Mobile-Web-Sprint-49-Wayne's-World board.

Change 218554 had a related patch set uploaded (by Jdlrobson):
Fix create collection workflow

https://gerrit.wikimedia.org/r/218554

Change 218554 merged by jenkins-bot:
Fix create collection workflow

https://gerrit.wikimedia.org/r/218554

phuedx closed this task as Resolved.Jun 16 2015, 11:37 AM
phuedx added a subscriber: phuedx.

Verified this on BC.

@Jdlrobson: Is that WMF-deploy project accurate or does 218554 need to be backported?

This was merged late Monday PST. I think we can wait till Thursday, this bug only impacts beta users going through the collections page.